%global p_vendor       pe
%global _name          puppet-enterprise-release
%global realversion    3.2.1
%global rpmversion     3.2.1

%if "%{_os}" == "aix"
  %{!?_aix: %global _aix 1}
%endif

%if 0%{?_aix}
  %global               _symlinkdir /usr/bin
%else
  %global               _symlinkdir /usr/local/bin
%endif


%if 0%{?p_vendor:1}
    %global name_prefix      %{p_vendor}-

    # Override the _prefix last, so we can get the _real_* locations.
    %{!?_orig_prefix:     %global _orig_prefix     %{_prefix}}
    %global               _prefix /opt/puppet
    %{!?_orig_sysconfdir: %global _orig_sysconfdir %{_sysconfdir}}
    %global               _sysconfdir /etc/puppetlabs
%endif

Name:           %{?name_prefix}%{_name}
Version:        %{rpmversion}
Release:        1.pe%{?dist}
Summary:        Simple package to ensure proper directory structure
Vendor:         Puppet Labs
Group:          System Environment/Base
License:        PL Commercial
URL:            http://www.puppetlabs.com
Source0:        http://downloads.puppetlabs.com/%{name}/%{name}-%{realversion}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Provides:       %{name} = %{version}-%{release}

%description
A simple package that lays out the file structure for Puppet Enterprise systems,
and provides some basic files necessary for PE.

%prep
%setup -q -n %{name}-%{realversion}

%build

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} SYMLINKDIR=%{_symlinkdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_prefix}/pe_version
%{_bindir}/pe-man
%{_symlinkdir}/pe-man
%doc %{_prefix}/share/doc/LICENSE.txt
%dir %{_sysconfdir}
%dir %{_prefix}/sbin
%dir %{_prefix}/share
%dir %{_prefix}/var
%dir %{_prefix}/lib
%dir %{_prefix}/libexec

%changelog
* Tue Mar 11 2014 Puppet Labs Release <info@puppetlabs.com> -  3.2.1-1.pe
- Build for 3.2.1

* Mon Nov 07 2013 Melissa Stone <melissa@puppetlabs.com> - 1.0.0-1.pe
- Initial build
